# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-java
BuildRequires: unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define rev r258

Summary: A graphic interface for creating and solving problems in solid geometry
Name: geometria
Version: 3.2
Release: alt1_0.%{rev}7
License: GPL
Group: Sciences/Mathematics
URL: http://geocentral.net/geometria/
BuildArchitectures: noarch
Requires: jre >= 1.6.0
#The legacy 3.2 Java version has been retired and is no longer supported.
Source0: http://geocentral.net/geometria/legacy/download/Geometria-%{version}.%{rev}.zip
Source1: %{name}
Source2: %{name}.png
Source3: %{name}.desktop
Source4: Readme.txt
AutoReqProv: no
Source44: import.info

%description
With Geometria, one can draw and measure segments and angles,
measure areas and volumes, transform, cut and join figures.
Figures can be turned around and rotated as easily as if
having them in one's hands.

%prep
%setup -q -c -n %{name}
rm -f ./%{name}.bat
chmod -R 755 ./ *.sh
cp -f %{SOURCE4} ./

%build
#nothing

%install
mkdir -p %{buildroot}/%{_javadir}/%{name}
cp -af . %{buildroot}/%{_javadir}/%{name}
rm -f %{buildroot}/%{_javadir}/%{name}/License.txt %{buildroot}/%{_javadir}/%{name}/ReleaseNotes.txt %{buildroot}/%{_javadir}/%{name}/Readme.txt
rm -f %{buildroot}/%{_javadir}/%{name}/source/License.txt %{buildroot}/%{_javadir}/%{name}/source/ReleaseNotes.txt
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{SOURCE1} %{buildroot}%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/pixmaps
cp -f %{SOURCE2} %{buildroot}/%{_datadir}/pixmaps
mkdir -p %{buildroot}/%{_datadir}/applications
cp -f %{SOURCE3} %{buildroot}/%{_datadir}/applications
echo "%{version}" > %{buildroot}/%{_javadir}/%{name}/version
#Seems works without logs now
#ln -s /var/log/%{name} %{buildroot}%{_javadir}/%{name}/logs

#%post
#if [ ! -d "/var/log/%{name}" ]
#then
#  mkdir -p /var/log/%{name}
#  chmod 777 /var/log/%{name}
#fi

%files
%doc License.txt ReleaseNotes.txt Readme.txt
%{_javadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 3.2-alt1_0.r2587
- new version

